Export

All connection strings

GET /export

Ability: read ยท One line per proxy user of every proxy your login can see. Answers plain text (or CSV), not JSON.

Query formatLine formatContent-Type
hostport (default)host:port:user:passtext/plain
hostport_athost:port@user:passtext/plain
userpassuser:pass@host:porttext/plain
csvheader + one row per usertext/csv

CSV columns: id, label, host, port, username, password, http_url, socks5_url, status, current_ip, rotation_url (status is the disabled_reason when the proxy is disabled).

curl
Python
Node.js
PHP
curl 'https://proxykite.com/api/v1/export?format=hostport_at' \
  -H "Authorization: Bearer $HYP_TOKEN" \
  -H 'Accept: text/plain'

Response 200

152.67.6.160:30007@u7abc:s3cret
152.67.6.160:30008@u8xyz:an0ther

See Proxy formats for how to use each format.